Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/cython: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 23 Mar 2015 21:24:08 +0000

---
 testing/cython/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/cython/APKBUILD
diff --git a/testing/cython/APKBUILD b/testing/cython/APKBUILD
new file mode 100644
index 0000000..14c3594
--- /dev/null
+++ b/testing/cython/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=cython
+pkgver=0.22
+pkgrel=0
+pkgdesc="Cython is an optimising static compiler for both the Python & the extended Cython programming languages."
+url="http://cython.org"
+arch="all"
+license="Apache 2.0"
+depends=""
+depends_dev="python-dev py-pgen"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="saveas-https://github.com/cython/cython/archive/$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+        cd "$_builddir"
+        python setup.py build || return 1
+}
+
+package() {
+        cd "$_builddir"
+        python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e67b03e8b3667c8e4e7c774ef2e2b638  cython-0.22.tar.gz"
+sha256sums="4f9b52df027fc64a9426f3d7a3c9fbbc5d43734446be6bb3519e59c16d8ddd7f  cython-0.22.tar.gz"
+sha512sums="d8cab4f5dae0c6bb1ec49879473916bfceebfa017799c45d9f4affefc4534932e172374b0c95ffb89d78eeba86888d8a71f96a5dd001ed1a5e002e303c6c4770  cython-0.22.tar.gz"
-- 
2.3.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 23 2015 - 21:24:08 GMT